aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-jis-misc
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:53:51 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:06 +0000
commit1341fb4adda067f0f208d1b822629710c823d51d (patch)
tree648d43dec2812ff1a78b520733ae71ee3f575876 /main/font-jis-misc
parente3681856aa46d873c5e1b9abdf252ac501470d86 (diff)
downloadaports-1341fb4adda067f0f208d1b822629710c823d51d.tar.gz
aports-1341fb4adda067f0f208d1b822629710c823d51d.tar.bz2
aports-1341fb4adda067f0f208d1b822629710c823d51d.tar.xz
main/font-jis-misc: upgrade to 1.0.3
Diffstat (limited to 'main/font-jis-misc')
-rw-r--r--main/font-jis-misc/APKBUILD22
1 files changed, 18 insertions, 4 deletions
diff --git a/main/font-jis-misc/APKBUILD b/main/font-jis-misc/APKBUILD
index 0a9b2d24d3..d0e8d934da 100644
--- a/main/font-jis-misc/APKBUILD
+++ b/main/font-jis-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-jis-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,16 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="61febb49a71065723a1fba17cbf23c67 font-jis-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+md5sums="cb7b57d7800fd9e28ec35d85761ed278 font-jis-misc-1.0.3.tar.bz2"
+sha256sums="2b18ce10b367ebafe95a17de799b6db9a24e2337188d124adaf68af05b1fac65 font-jis-misc-1.0.3.tar.bz2"
+sha512sums="3ce4c96d54440045e84f54f7d790e350c05b0c56a72491941f2cd9ed7e2d1735ff4b41667501cf08d5d81ee19c9de6d43f88a8b59a3c5c55de9fb1696cae208c font-jis-misc-1.0.3.tar.bz2"